#
# spec file for package libfdatetime
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libfdatetime
%define lname	libfdatetime1
%define timestamp 20170902
Version:        0~%timestamp
Release:        bp153.1.18
Summary:        A library for date and time data types
License:        LGPL-3.0+
Group:          Development/Libraries/C and C++
Url:            https://github.com/libyal/libfdatetime/wiki
Source:         https://github.com/libyal/libfdatetime/releases/download/%timestamp/%name-alpha-%timestamp.tar.gz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcerror) >= 20130609
BuildRequires:  pkgconfig(libcstring) >= 20150101
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library for date and time data types. Part of the libyal family of libraries.

%package -n %lname
Summary:        A library for date and time data types
Group:          System/Libraries

%description -n %lname
A library for date and time data types. Part of the libyal family of libraries.

%package devel
Summary:        Development files for libfdatetime, a date and time data type library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
A library for date and time data types.

This subpackage contains libraries and header files for developing
applications that want to make use of libfdatetime.

%prep
%setup -qn libfdatetime-%timestamp

%build
%configure --disable-static --enable-wide-character-type
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%_libdir/libfdatetime.so.1*

%files devel
%defattr(-,root,root)
%_includedir/libfdatetime*
%_libdir/libfdatetime.so
%_libdir/pkgconfig/libfdatetime.pc
%_mandir/man3/libfdatetime.3*

%changelog
* Sun Oct  1 2017 Greg.Freemyer@gmail.com
- update to v0~20170902
  * applied 2017 updates
  * worked on tests
  * improved handling of strings with invalid syntax
* Wed Jan 27 2016 Greg.Freemyer@gmail.com
- update to v0~20150507
  * fix in POSIX timestamp for missing sign check
* Thu Jan  8 2015 Greg.Freemyer@gmail.com
- update to v0~20150104
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using libcstring from OBS, not internal version
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
- update to 0~20140105
  * 2014 update
  * updated dependencies
  * added copy to int functions
* Thu Nov 21 2013 Greg.Freemyer@gmail.com
- update to 0~20130904
  * code clean up
  * worked on tests
  * updated dependencies
  * textual changes
  * maximum string size is now only returned for invalid date time values
- change compression to gz to simplify updates
* Tue Jul 30 2013 Greg.Freemyer@gmail.com
- cleanup specfile comments
* Mon Apr 22 2013 Greg.Freemyer@gmail.com
- ran spec-cleaner
* Thu Apr  4 2013 jengelh@inai.de
- Initial package (version 0~20130317) for build.opensuse.org
